Name: mailutils
Version: 1.1
Release: alt1

Packager: Sergey Y. Afonin <asy@altlinux.ru>

Summary: GNU Mailutils

Copyright: GPL
Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
URL: http://www.gnu.org/software/%{name}/%{name}.html
Group: Networking/Mail

Conflicts: mailx

Provides: /bin/mail

Requires: libmailutils, guile >= 1.6, libreadline

#errata
Source100: mailutils-1.0-send_mail.patch

# Automatically added by buildreq on Tue Jul 18 2006
BuildRequires: emacs-common flex-old fontconfig gcc-c++ guile16-devel guile16 libgmp-devel libltdl-devel libncurses-devel libpam-devel libreadline-devel

#BuildRequires: emacs-common flex fontconfig gcc-c++ guile16-devel guile18 libgmp-devel libltdl-devel libncurses-devel libpam-devel libreadline-devel
# BuildRequires: guile >= 1.6, readline-devel, emacs

%description
GNU Mailutils contains a series of useful mail clients, servers, and
libraries. These are the primary mail utilities of the GNU system.
This package provides a replacement for /bin/mail(x) conforming to
the UNIX98 specification for mailx. Provides also mail.local,
mail.remote, and other tools including guimb, dotlock, movemail,
frm.

%package -n libmailutils
Summary: GNU Mailutils: mailbox access library.
Copyright: LGPL
Group: System/Libraries

%description -n libmailutils
The runtime library libmailbox contains various mailbox access
routines and support for a number of mailbox types, such as mbox,
maildir, mh, POP3, and IMAP4. It also supports MIME message
handling, and sending mail via SMTP and /sbin/sendmail.

%package -n libmailutils-devel
Summary: GNU Mailutils: mailbox access development.
Copyright: LGPL
Requires: libmailutils
Group: Development/Other

%description -n libmailutils-devel
The header files for GNU Mailutils.

%package -n libmailutils-devel-static
Summary: GNU Mailutils: mailbox access static library development.
Copyright: LGPL
Requires: libmailutils-devel
Group: Development/Other

%description -n libmailutils-devel-static
The static libraries files for GNU Mailutils.

%package doc
Summary: GNU Mailutils: documentation.
Copyright: FDL
Prereq: /sbin/install-info
Group: Development/Documentation

%description doc
API reference for libmailbox and user documentation for the rest of
the GNU Mailutils.

%package -n mailutils-pop3d
Summary: GNU Mailutils: POP3 daemon.
Copyright: GPL
Requires: libmailutils
Group: System/Servers

%description -n mailutils-pop3d
The GNU POP3 daemon. Uses libmailbox to support different styles of
mailboxes.

%package -n mailutils-imap4d
Summary: GNU Mailutils: IMAP4 daemon.
Copyright: GPL
Requires: libmailutils
Group: System/Servers

%description -n mailutils-imap4d
The GNU IMAP4 daemon. Uses libmailbox to support different styles of
mailboxes.

%package -n mailutils-sieve
Summary: GNU Mailutils: mail filtering language Sieve.
Copyright: LGPL
Requires: libmailutils
Group: System/Libraries

%description -n mailutils-sieve
Libsieve is the GNU implementation of the mail filtering language Sieve,
described in RFC 3028 and RFC 3431. This packages contains also the
Sieve interpreter and Sieve to Scheme translator and filter.

%package -n mailutils-comsatd
Summary: GNU Mailutils: Comsat daemon.
Copyright: GPL
Requires: libmailutils
Group: System/Servers

%description -n mailutils-comsatd
The GNU Comsat daemon.

%package -n mailutils-mh
Summary: GNU Mailutils: The Message Handling System.
Copyright: GPL
Requires: libmailutils
Group: Networking/Mail

%description -n mailutils-mh
The GNU MH (Message Handling System).

%prep
%setup -q

patch -l -p0 <%SOURCE100

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --enable-mh-utils
#make

CFLAGS="-ltinfo"

%configure --enable-mh-utils

%make_build

%install
#rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT
#make prefix=$RPM_BUILD_ROOT%{prefix} install

%__mkdir_p %buildroot/%_bindir

make install DESTDIR=%buildroot

install -d $RPM_BUILD_ROOT/bin

%__ln_s ..%_bindir/mail "$RPM_BUILD_ROOT/bin/mail"

#%clean
#rm -rf $RPM_BUILD_ROOT
#make distclean

%post -n libmailutils -p /sbin/ldconfig
%postun -n libmailutils -p /sbin/ldconfig
%post -n mailutils-sieve -p /sbin/ldconfig
%postun -n mailutils-sieve -p /sbin/ldconfig

%post doc
/sbin/install-info %_infodir/mailutils.info.gz %_infodir/dir

%preun doc
/sbin/install-info --delete %_infodir/mailutils.info.gz %_infodir/dir

%files -n mailutils
#%defattr(-, root, root)
%_bindir/dotlock
%_bindir/frm
%_bindir/from
%_bindir/guimb
%_bindir/mail
/bin/mail
%_bindir/messages
%_bindir/mimeview
%_bindir/movemail
%_bindir/readmsg
%_libexecdir/mail.local
%_libexecdir/mail.remote
%_bindir/mailutils-config
%_mandir/*/mail*

%files -n libmailutils
#%defattr(-, root, root)
%_libdir/libguile*.so
%_libdir/libmailutils.so
%_libdir/libmailutils.so.*
%_libdir/mailutils/moderator.so
%_libdir/mailutils/vacation.so
%_libdir/libmu*.so
%_libdir/libmu*.so.*
%_datadir/guile/site/mailutils/*.scm
%_datadir/guile/site/mailutils/*.txt
%_datadir/locale/*/LC_MESSAGES/mailutils.mo

%files -n libmailutils-devel
#%defattr(-, root, root)
%_includedir/*

%files -n libmailutils-devel-static
#%defattr(-, root, root)
%_libdir/libmailutils.*a
%_libdir/mailutils/moderator.*a
%_libdir/mailutils/vacation.*a
%_libdir/libsieve.*a
%_libdir/libmu*.*a

%files doc
#%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS TODO
%_infodir/*

%files -n mailutils-pop3d
#%defattr(-, root, root)
%_sbindir/pop3d
%_mandir/*/pop*

%files -n mailutils-imap4d
#%defattr(-, root, root)
%_sbindir/imap4d
%_mandir/*/imap4d*

%files -n mailutils-comsatd
#%defattr(-, root, root)
%_sbindir/comsatd

%files -n mailutils-sieve
#%defattr(-, root, root)
%_bindir/sieve*
%_libdir/libsieve.so
%_libdir/libsieve.so.*
%_datadir/guile/site/sieve-modules/*.scm
%_libdir/mailutils/list*
%_libdir/mailutils/numaddr*
%_libdir/mailutils/spamd*
%_libdir/mailutils/timestamp*

%files -n mailutils-mh
#%defattr(-, root, root)
%_bindir/mu-mh/anno
%_bindir/mu-mh/burst
%_bindir/mu-mh/comp
%_bindir/mu-mh/fmtcheck
%_bindir/mu-mh/folder
%_bindir/mu-mh/forw
%_bindir/mu-mh/inc
%_bindir/mu-mh/install-mh
%_bindir/mu-mh/mark
%_bindir/mu-mh/mhl
%_bindir/mu-mh/mhn
%_bindir/mu-mh/mhpath
%_bindir/mu-mh/pick
%_bindir/mu-mh/refile
%_bindir/mu-mh/repl
%_bindir/mu-mh/rmf
%_bindir/mu-mh/rmm
%_bindir/mu-mh/scan
%_bindir/mu-mh/send
%_bindir/mu-mh/sortm
%_bindir/mu-mh/whatnow
%_bindir/mu-mh/whom
#
%_bindir/mu-mh/ali
%_bindir/mu-mh/folders
%_bindir/mu-mh/mhparam
#	    
%_datadir/mailutils/mh/*
%_datadir/emacs/site-lisp/*

%changelog
* Wed May 16 2007 Sergey Y. Afonin <asy@altlinux.ru> 1.1-alt1
- new version

* Wed Dec 13 2006 Sergey Y. Afonin <asy@altlinux.ru> 1.0-alt4
- mailutils-1.0-send_mail.patch

* Fri Sep 22 2006 Sergey Y. Afonin <asy@altlinux.ru> 1.0-alt3
- fix: add symlink /usr/bin/mail -> /bin/mail
- fix: Provides: /bin/mail

* Wed Jul 19 2006 Sergey Y. Afonin <asy@altlinux.ru> 1.0-alt2
- fix autogeneraded BuildRequires:
  guile16-devel guile18 -> guile16-devel guile16
- fix: add Conflicts: mailx

* Tue Jul 18 2006 Sergey Y. Afonin <asy@altlinux.ru> 1.0-alt1
- First build for Sisyphus
